Subject: Re: [RFC][PATCH] initial port of fixmap over from x86 for ppc32

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 08 Apr 2008 09:51:32 +1000

On Mon, 2008-04-07 at 11:20 -0500, Scott Wood wrote:
> 
> Another possible use is a BAT/TLB1 mapping for SoC registers (or
> anything
> else on the board which is frequently accessed), which can be reused
> by
> ioremap() to avoid wasting normal TLB entries, and to facilitate early
> debugging.

As far as the above is concerned, I'm not too fan of fixed virtual
addresses. I'd rather dynamically assign it. But we can do it.

Ben.